Page MenuHomePhabricator

Can't use the undo action (Ctrl-Z, etc.) after the application of a link in ContentTranslation
Closed, ResolvedPublic

Description

It's impossible to use the undo action (Ctrl-Z, etc.) after the application of a link in ContentTranslation.

Related Objects

StatusAssignedTask
ResolvedPginer-WMF
ResolvedNone
ResolvedAmire80
InvalidNone
OpenAmire80
DeclinedNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
Resolvedsanthosh
Resolveddchan
Resolvedsanthosh
Resolvedsanthosh
ResolvedNikerabbit
Opensanthosh
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
ResolvedPginer-WMF
InvalidNone
ResolvedPetar.petkovic
Resolvedsanthosh
Resolvedsanthosh

Event Timeline

Esanders created this task.Oct 10 2015, 1:13 PM
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a project: ContentTranslation.
Esanders added a subscriber: Esanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2015, 1:13 PM
Amire80 added a subscriber: Amire80.EditedOct 10 2015, 2:04 PM

There's no description, so I'm not sure what does it mean.

If it means that a link in the translation cannot be converted to plain text, that it's wrong - there's a "Remove link" button in the sidebar when you click a link.

Amire80 closed this task as Invalid.Oct 13 2015, 6:37 AM
Amire80 set Security to None.
Esanders reopened this task as Open.Oct 13 2015, 9:37 AM

Sorry, I mean automatic undo as in CTRL+Z. As you only have native undo from CE you will encounter its bugs, such as not being able to undo past a programmatic change to the DOM. VE has its own transactions and undo stack so we avoid this problem.

Amire80 renamed this task from Can't undo the application of a link to Can't use the undo action (Ctrl-Z, etc.) after the application of a link in ContentTranslation.Oct 13 2015, 9:50 AM
Amire80 updated the task description. (Show Details)

Sorry, I mean automatic undo as in CTRL+Z. As you only have native undo from CE you will encounter its bugs, such as not being able to undo past a programmatic change to the DOM. VE has its own transactions and undo stack so we avoid this problem.

Oh, OK. Thanks for the explanation.

Amire80 triaged this task as Normal priority.Oct 15 2015, 12:22 PM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.
Pginer-WMF closed this task as Resolved.Mar 16 2018, 10:17 AM
Pginer-WMF claimed this task.
Pginer-WMF added a subscriber: Pginer-WMF.

This is already supported in CX2, the major refactoring and architectural update of Content Translation to integrate the same editing surface as VisualEditor. Currently it can be tested by adding &version=2 to the URL of the translation editor (still experimental), and will become the default version in the future.